# Infinite Inventory
Requires [BepInEx](https://thunderstore.io/c/sons-of-the-forest/p/BepInEx/BepInExPack_IL2CPP/)  
Configure with [BepInEx ConfigurationManager](https://thunderstore.io/c/sons-of-the-forest/p/faulty/BepInEx_ConfigurationManager/)


## Warning:
Using the console command `addallitems` with this plugin set to a high number has been known to cause **_game crashes_** when opening the inventory. It was only really created for hoarding while you're out hunting.

## Features:
Allows you to pickup unlimited (999) items while out hoarding. Use [BepInEx ConfigurationManager](https://thunderstore.io/c/sons-of-the-forest/p/faulty/BepInEx_ConfigurationManager/) and you can change this value in game.
- Does not change owned items, nor add any items to your inventory.
- Does not allow you to pickup certain items more than once to protect you.
- Note: Ammunition is game default 1,000

New features in 0.0.4
- You can now configure the max amount.
- Customise individual items. See the included xml file `/config/faulty.soft.infiniteInventory.xml`
- The XML file can be edited while the game is still loaded, but you will need to set `forceRefresh` to `True` in game using something like [BepInEx ConfigurationManager](https://thunderstore.io/c/sons-of-the-forest/p/faulty/BepInEx_ConfigurationManager/). (Custom values are loaded at start up, so you won't need to `forceRefresh` unless you've made changes while the game is loaded)
- If you want to **ONLY** use custom amounts for certain items, then set `customOnly` to `True`
- Set `showSkippedItems` to `True` for some debugging info.


# Bug Fixes:
### 0.0.3
- Changed max limit to 999 *due to the following below*:
- ~~Fixed bug where the console command "addallitems" would freeze the game.~~
- Fixed bug where if you loaded a save file, quit to main menu, load the same save again, the game would just quit.

## Installation:

1. Download BepInEx from the link above
2. Drag contents of the BepInEx zip file into Sons of the Forest game directory (right click in steam > browse local files)
3. Open the .zip and drag BepInEx into the base game directory
4. Enjoy!

## Configuration:
If you wish to see a list of items skipped, set "showSkippedItems" to true in the generated configuration file.


## Support:
I am available on the Discord server (SOFT Modding). The invite URL can be found in the top navigation on the thunderstore website.